# /etc/nixos/flake.nix
{
  description = "flake for nixos-pulse";

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-23.05";
    };
    tuxedo-nixos = {
      url = "github:blitz/tuxedo-nixos";
    };
    home-manager = {
      url = "github:nix-community/home-manager/release-23.05";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };


  outputs = { self, home-manager, nixpkgs, tuxedo-nixos }: {
    nixosConfigurations = {
      nixos-pulse = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [
          ./configuration.nix
	  home-manager.nixosModules.home-manager
	  tuxedo-nixos.nixosModules.default
          { 
	    hardware.tuxedo-control-center.enable = true; 
	    hardware.tuxedo-control-center.package = tuxedo-nixos.packages.x86_64-linux.default;
	  }
        ];
      };
    };
  };
}

